/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#ifndef IFS_DISC_UTIL
#define IFS_DISC_UTIL

#include "ifs_kernelio.h"

/*numero du disque courant*/
USHORT cur_disc;


/*fonctions utilitaires*/
/*fonction verifiant si un disque est vide ou nom*/
int is_empty(disc disque);

/*initialisation de la table des disques*/
void init_disc_table();

/*test si file_name est un disque ifs*/
int is_ifs_disc(char *file_name);

/*monte un disque dans la table des disques*/
int fput_disc(char *disc_name);

/*recherche des disques du systme dans un rpertoire donn*/
void  disc_search(char *dir);

/*change le disque courant en le dsignant par son numero*/
int ch_disc_num(USHORT disc_num);

/*change le disque courant en le dsignant par son nom*/
int ch_disc(char *disc_name);

/*fonction de hashage qui attribut un premier numero en fonction du nom du disque*/
USHORT hash_func(char * name);

/*fonction mettant un disque dans la table des disque en ne connaissant que sa structure*/
int put_disc(disc disque);

/*calcul du numero du disc a partir de son nom*/
int discname2num(char *disc_name);

/************************version kernel des fonctions**************/
/*changement de disc par son nom*/
void cdisc(requete *query,reponse *rep);

/*changement du disc par son numero*/
void cnumdisc(requete *query,reponse *rep);

/*recuperation du nommero du disc courant*/
void curdisc(requete *query,reponse *rep);
#endif
