/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#include "ifs_api.h"
#include <stdlib.h>
#include <stdio.h>
#include "ifs_file_util.h"


void usage(){
  fprintf(stderr,"Usage : ifs_edico <texte(8 char max)> <ref>");
  exit(EXIT_FAILURE);
}

int main(int argc,char *argv[]){
  char icone[11];
  int i, descr,longueur;
  if(argc !=3) usage();

  /*initialisation de l'icone*/
  icone[0]='<';
  icone[9]='>';
  icone[10]='\0';
  for(i=1;i<9;i++){
    icone[i]='=';
  }

  /*construction de l'icone*/
  if((longueur=strlen(argv[1]))>8){
    fprintf(stderr,"Le nom est trop grand\n");
    usage();
  }
  for(i=0;i<longueur;i++){
    icone[i+(10-longueur)/2]=argv[1][i];
  }
  /*creation du fichier*/
  if((descr=ifs_open(argv[2],M_ECR|M_ZER|M_CRE,N_ICO))==-1) ifs_fatal_error("open");
  if(ifs_write(descr,&icone,11)==-1) ifs_fatal_error("write");
  if(ifs_close(descr)==-1) ifs_fatal_error("close");

  exit(EXIT_SUCCESS);
}
