/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#include <stdio.h>

#include "ifs_error.h"






void ifs_perror(char *msg){
  char *explain;
  switch(ifs_err){
  case 0: explain="->No error ocurred\n";break;
  case 1: explain="->The bloc number is to large for this disk\n";break;
  case 2: explain="->Only a part of bloc have been written : maybe the disk is bad formatted\n";break;
  case 3:  explain="->Only a part of bloc have been read  : maybe the disk is bad formatted\n";break;
  case 4: explain="->Read a non-disc bloc as a disc-bloc\n";break; 
  case 5: {
    explain="->The max device number is reach, you can't put this device in the file system\n";
    break;
  }
  case 6:explain="->The device you ask for isn't in de disc table\n";break;
  case 7:explain="->The open mode you want to use don't exist\n";break;
  case 8:explain="->Their are too many file in your system\n";break;
  case 9:explain="->The disc is full\n";break;
  case 10:explain="->this name is too long\n";break;
  case 11:explain="->this file or directory don't exist\n";break;
  case 12:explain="->there is no more place for inode in memory\n";break;
  case 13:explain="->there are no more places in the open file table\n";break;
  case 14:explain="->A directory or a file with the same name already exists\n";break;
  case 15:explain="->The directory isn't empty, you can't delete it\n";break;
  case 16:explain="->The directory is still open, you can't delete it\n";break;
  case 17:explain="->The reference to a directory is expected\n";break;
  case 18:explain="->The only types allowed are N_ORD and N_ICO\n";break;
  case 19:explain="->The file and the linked icone must be on th same disc\n";break;
  case 20:explain="->An iconic file can't have an icone\n";break;
  case 21:explain="->The file must be an icone\n";break;
  case 22:explain="->A directory must be opened with the ifs_opendir command\n";break;
  case 23:explain="->A directory can't be deleted by this way\n";break;
  case 24:explain="->Two files on differents discs can't be linked\n";break;
  case 25:explain="->Links on a directory not allowed\n";break;
  case 26:explain="->The only modes you can use are DEBUT, FIN and COURANT\n";break; 
  case 27:explain="->The openning mode of this file don't allow you to do this operation\n";break;
  case 28:explain="->The fonction ifs_open_iconde must be applied on an icone node\n";break;
  default : explain=NULL;
  }
  fprintf(stderr,"%s %s",msg,explain);
}
