/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#include <stdlib.h>
#include "ifs_api.h"

void usage(){
  printf("usage : ifs_rmdir <dir_ref>\n");
}

int main(int argc,char *argv[]){
 char dir_name[512],disc_name[30];
  int disc_num_sauv,ch_flag;
  if(argc !=2){
    usage();
    exit(EXIT_FAILURE);
  }


  /*recuperation du numero du disc courant*/
  if((disc_num_sauv=curdisc_num())==-1) ifs_fatal_error("recuperation du discque courant");
  /*recuperation du nom du disc et du chemin dans le disc*/
  parse_discref(argv[1],disc_name,dir_name);
 
  if(*disc_name!='\0'){
    if(ifs_chdisc(disc_name)==-1) ifs_fatal_error("changement de disque");
    ch_flag=1;
  }
  if(ifs_rmdir(dir_name)==-1) ifs_fatal_error("supression d'un repertoire");
 if(ch_flag){
    if(ifs_chdisc_num(disc_num_sauv)==-1) ifs_fatal_error("changement de disque vers le prcdent");
  }
  exit(EXIT_SUCCESS);
}
