/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#ifndef LENDIAN
#define LENDIAN

//definition de types entiers non signs
typedef unsigned short USHORT;
typedef unsigned int UINT;

//definition des type entier en little-endian
typedef unsigned char LESHORT[2];
typedef unsigned char LEINT[4];

//definition des tailles
#define SSIZE 2*sizeof(char)
#define ISIZE 4*sizeof(char)

//fonction de convertion d'un nombre dpend de la machine en little-endian
void toLESHORT(USHORT valeur,LESHORT resultat);
void toLEINT(UINT valeur,LEINT resultat);

//fonction de convertion du little-endian vers la reprsentation machine
USHORT toUS(LESHORT levaleur);
UINT toUINT(LEINT levaleur);



#endif
