#include "ifs_api.h"
#include "ifs_file_util.h"
#include <stdlib.h>

int main(int argc,char *argv[]){
  int descr,nb_ecrit,nb_lu;
  char recu[200];
  char *message="Je suis un message a ecrire dans un fichier: 01234567890123456789012345678901234567890123456789.\n";
  char c='a';
  if((descr=ifs_open("essai",M_ECR|M_CRE|M_ZER,N_ORD))==-1) ifs_fatal_error("open");
  if((nb_ecrit=ifs_write(descr,message,atoi(argv[1])))==-1) ifs_fatal_error("write");
  if(ifs_close(descr)==-1) ifs_fatal_error("close");
  printf("le nombre de caractere ecrit est %d\n",nb_ecrit);
  if((descr=ifs_open("essai",M_LEC,N_ORD))==-1) ifs_fatal_error("open2");
  if(ifs_seek(descr,3,DEBUT)==-1) ifs_fatal_error("seek");
  if((nb_lu=ifs_read(descr,recu,nb_ecrit))==-1) ifs_fatal_error("read");
  if(ifs_close(descr)==-1) ifs_fatal_error("close2");
  recu[nb_lu]='\0';
  printf("Le nombre d'octet lu est %d et le message est :\n %s\n",nb_lu,recu);

  if((descr=ifs_open("essai2",M_ECR|M_CRE|M_ZER,N_ORD))==-1) ifs_fatal_error("open");
  if(ifs_seek(descr,15,DEBUT)==-1) ifs_fatal_error("seek");
  if((nb_ecrit=ifs_write(descr,&c,1))==-1) ifs_fatal_error("write");
  if(ifs_close(descr)==-1) ifs_fatal_error("close");
  exit(EXIT_SUCCESS); 

}
