/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#ifndef BLOCIO
#define BLOCIO
#include "lendian.h"

//definition de constantes
#define B_SIZE 128

//definition du type bloc
typedef unsigned char bloc[B_SIZE];

//fonction d'affichage
void affblk(bloc blk);

//fonctions d'criture
int writeb(int descripteur,bloc bloc_a_ecrire,USHORT no_bloc);


//fonctions de lecture
int readb(int descripteur,bloc buffer,USHORT no_bloc);

//fonction de lecture et d'ecriture de bloc par les buffers
/*ces fonction lisent et ecrivent des bloc en regardant si le bloc ne se trouve pas deja dans la table des caches
 *avant de lire et d'ecire. le cas echeant, elle charge le bloc dans la table des caches*/ 
int cache_writeb(USHORT disc_num,USHORT bloc_num,bloc blc);

int cache_readb(USHORT disc_num,USHORT bloc_num,bloc blc);




#endif
