/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#include <stdlib.h>
#include "ifs_api.h"
#include "ifs_util.h"

void usage(){
  printf("ifs_cd [ref]");
}

int main(int argc, char *argv[]){
  char disc_name[30],dir_name[512];
  if(argc == 1){
    if(ifs_chdir("/")==-1) ifs_fatal_error("changement vers la racine");
  }else{
    parse_discref(argv[1],disc_name,dir_name);
    printf("disc_name=%s dir_name=%s\n",disc_name,dir_name);
    if(*disc_name != '\0'){
      if(ifs_chdisc(disc_name)==-1) ifs_fatal_error("changement de disc");
    }
    if(*dir_name != '\0'){
      if(ifs_chdir(dir_name)==-1) ifs_fatal_error("changement de repertoire");
    }
  }
  exit(EXIT_SUCCESS);
}
