/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#ifndef IFS_DIR_UTIL
#define IFS_DIR_UTIL

#include "ifs_ino_util.h"
#include "ifs_kernelio.h" 



/*ajout d'une entre dans un reperoire*/
int add_dir_entry(USHORT disc_num,USHORT dir_node_num,char *ent_name,USHORT link_num); 

/*supression d'une entre dans un repertoire*/
int del_dir_entry(USHORT disc_num,USHORT dir_node_num,char *ent_name);

/*creation du repertoire racine*/
int make_root(USHORT disc_num);

/*creation d'un repertoire*/
int make_dir(USHORT disc_num,USHORT father_node_num,char *dir_name);

/*suppression d'un repertoire*/
int del_dir(USHORT disc_num,USHORT father_node_num,char *dir_name);

/*ouverture d'un repertoire*/
desc_t open_dir(USHORT disc_num,char *rep_name);

/*leture d'une entree de repertoire*/
int read_dir(desc_t ifs_descr, entree_repertoire *dir_entr);

/*fermeture d'un repertoire*/
int close_dir(desc_t ifs_descr);

/*ecrit une entree de repertoire a la place d'une autre dja existente*/
int write_dir_entr(USHORT disc_num,entree_repertoire *dir_entr,USHORT rep_ino_num,USHORT entr_num);

/*lecture d'une entre de repertoire*/
int read_dir_entr(USHORT disc_num,entree_repertoire *dir_entr,USHORT rep_ino_num,USHORT entr_num);

/*affichage des entre d'un repertoire*/
int aff_rep(USHORT disc_num,USHORT rep_node_num);

/*calcul de l'adresse d'une entre de repertoire en connaissant son nom*/
int dir_entry_num(USHORT disc_num,USHORT dir_node_num,char *ent_name);

/***********************fonctions pour le serveur************************/
/*ouverture d'un repertorie*/
void odir(requete *query, reponse *rep);

/*lecture d'une entree de repertoire*/
void rdir(requete *query, reponse *rep);

/*fermeture du repertoire*/
void cdir(requete *query, reponse *rep);

/*creation d'un repertoire*/
void mdir(requete *query,reponse *rep);

#endif
