/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#ifndef IFS_ERROR
#define IFS_ERROR

//definition des valeur symbolique des erreurs

#define NO_ERROR 0
#define BAD_BLOC_ALLOC 1
#define PARTIAL_BLOC_WRITE 2
#define PARTIAL_BLOC_READ 3
#define DISC_BLOC 4
#define TOO_MANY_DEV 5
#define NO_SUCH_DEV 6
#define BAD_OPEN_MODE 7
#define TOO_MANY_INODE 8
#define NO_MORE_SPACE 9
#define NAME_TOO_LONG 10
#define FILE_DO_NOT_EXISTS 11
#define TOO_MANY_INODE_IN_MEM 12
#define TOO_MANY_OPEN_FILES 13
#define DIR_ENTRY_ALREADY_EXISTS 14
#define DIR_NOT_EMPTY 15
#define OPEN_DIR 16
#define NOT_A_DIR 17
#define BAD_CREAT_TYPE 18
#define ICO_DIFF_DISC 19
#define ICO_LINK_ICO 20
#define NO_ICO_LINK 21
#define DIR_OPEN 22
#define DEL_DIR_CONTENT 23
#define DISCS_LN 24
#define DIR_LN 25
#define BAD_SEEK_MODE 26
#define BAD_DESCRIPTOR 27
#define OPEN_NODE_NO_ICO 28

//declaration de la valeur d'erreur

int ifs_err;



//affichage du message d'erreur
void ifs_perror(char * mesg);

#endif
