/****************************************************************
*Fichier cree par :                                             *
*                 Selma Abdelrahim                              *
*                 Farzana Chutkai                               *
*                 Denis Berthod                                 *
*Pour le projet du cours de systeme du premier semestre         *
*de l'anne 2003/2004 : Le systeme IFS                          *
*****************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include "lendian.h"

void toLESHORT(USHORT valeur,LESHORT resultat){
  resultat[1]=valeur / 256;
  resultat[0]=valeur % 256;
}

void toLEINT(UINT valeur,LEINT resultat){
  UINT reste =valeur;
  resultat[3]=reste /(256*256*256);
  reste=reste%(256*256*256);
  resultat[2]=reste/(256*256);
  reste=reste%(256*256);
  resultat[1]=reste/256;
  resultat[0]=reste%256;
}

USHORT toUS(LESHORT levaleur){
  return (USHORT)(levaleur[0]+256*levaleur[1]);
}

UINT toUINT(LEINT levaleur){
  UINT resultat=0;
  int i;
  //evaluation par Horner
  for (i=3;i>0;i--){
    resultat=(resultat+levaleur[i])*256;
  }
  resultat+=levaleur[0];
  return resultat;
}

/*
int main(int argc,char *argv[]){
  int desc;
  USHORT lendian[2];
  UINT lendian2;
  LESHORT lelendian[2];
  LEINT lelendian2;
  char lu[4];

  lendian[0]=85+256*78;
  lendian[1]=73+256*88;
  lelendian[0]=toLESHORT(lendian[0]);
  lelendian[1]=toLESHORT(lendian[1]);
  lendian2=85+256*78+256*256*(73+256*88);
  lelendian2=toLEINT(lendian2);
  if((desc=open("tmp",O_CREAT|O_TRUNC|O_WRONLY,S_IRWXU))==-1){
    perror("open write tmp :");
    exit(EXIT_FAILURE);
  }
  if(write(desc,lendian,sizeof(lendian))==-1){
    perror("write 1 :");
    exit(EXIT_FAILURE);
  }  

  if(write(desc,&lendian2,sizeof(lendian2))==-1){
    perror("write 2 :");
    exit(EXIT_FAILURE);
  }
  if(write(desc,lelendian[0],USIZE)==-1){
    perror("write 3.0 :");
    exit(EXIT_FAILURE);
  }
 if(write(desc,lelendian[1],USIZE)==-1){
    perror("write 3.1 :");
    exit(EXIT_FAILURE);
  }
  if(write(desc,lelendian2,ISIZE)==-1){
    perror("write 4 :");
    exit(EXIT_FAILURE);
  }

  close(desc);
  if((desc=open("tmp",O_RDONLY))==-1){
    perror("open read tmp :");
    exit(EXIT_FAILURE);
  }
  if(read(desc,lu,sizeof(lu))==-1){
    perror("read 1 :");
    exit(EXIT_FAILURE);
  }
  printf("Si votre systeme est litte-endian vous lirez UNIX et si il est big-endian vous lirez NUXI:\n %c%c%c%c\n"
	 ,lu[0],lu[1],lu[2],lu[3]);
  if(read(desc,lu,sizeof(lu))==-1){
    perror("read 2 :");
    exit(EXIT_FAILURE);
  }
  printf("Si votre systeme est litte-endian vous lirez UNIX et si il est big-endian vous lirez XINU:\n %c%c%c%c\n",lu[0],lu[1],lu[2],lu[3]);
 if(read(desc,lu,sizeof(lu))==-1){
    perror("read 3 :");
    exit(EXIT_FAILURE);
  }
  printf("Vous devez lire UNIX quelque soit votre systeme:\n %c%c%c%c\nvaleur system %u\n",lu[0],lu[1],lu[2],lu[3],toUS(&lu[0])+256*256*toUS(&lu[2]));
 if(read(desc,lu,sizeof(lu))==-1){
    perror("read 4 :");
    exit(EXIT_FAILURE);
  }
  printf("Vous devez lire UNIX quelque soit votre systeme:\n %c%c%c%c\nvaleur system %u\n",lu[0],lu[1],lu[2],lu[3],toUINT(lu));

  close(desc);
  unlink("tmp"); 
  exit(EXIT_SUCCESS);
}
*/
